Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.potdup
Class PotentialDuplicateManager

    java.lang.Object
      com.sun.mdm.index.potdup.PotentialDuplicateManager

public class PotentialDuplicateManager
extends java.lang.Object

Data access class for potential duplicates

Field Summary
`static java.lang.String` | `AUTO_RESOLVED`
`static java.lang.String` | `RESOLVED`
`static java.lang.String` | `UNRESOLVED`

Constructor Summary
`PotentialDuplicateManager(MasterController mc)` Creates a new instance of PotDupManager

Method Summary
`void` | `addPotentialDuplicates(java.sql.Connection con, java.lang.String euid, PotentialDuplicate[] pdArray, java.lang.String transactionId)` Add potential duplicates to the database.
`int` | `countPotentialDuplicates(java.sql.Connection con, PotentialDuplicateSearchObject obj)` Count the potential duplicates records matching the search criteria.
`void` | `deletePotentialDuplicates(java.sql.Connection con, java.lang.String euid)` Delete all duplicates for given euid except those marked as auto resolve.
`PotentialDuplicateIterator` | `lookupPotentialDuplicates(java.sql.Connection con, PotentialDuplicateSearchObject obj)` Search for potential duplicates
`void` | `resolvePotentialDuplicate(java.sql.Connection con, java.lang.String potDupId, boolean autoResolve)` Set status of potential duplicate record to either (r)esolve or (a)utoresolve.
`void` | `unresolvePotentialDuplicate(java.sql.Connection con, java.lang.String potDupId)` Set status of potential duplicate record to either (u)resolved

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTO_RESOLVED

    public static final java.lang.String AUTO_RESOLVED

See Also:
  Constant Field Values

### RESOLVED

    public static final java.lang.String RESOLVED

See Also:
  Constant Field Values

### UNRESOLVED

    public static final java.lang.String UNRESOLVED

See Also:
  Constant Field Values

Constructor Detail

### PotentialDuplicateManager

    public PotentialDuplicateManager(MasterController mc)
                              throws OPSException

  Creates a new instance of PotDupManager

  Parameters:
    `mc` - Handle to master controller

Method Detail

### addPotentialDuplicates

    public void addPotentialDuplicates(java.sql.Connection con,
                                       java.lang.String euid,
                                       PotentialDuplicate[] pdArray,
                                       java.lang.String transactionId)
                                throws PotentialDuplicateException

  Add potential duplicates to the database. The euid1 field of all potential duplicates must match the euid parameter.

  Parameters:
    `transactionId` - The feature to be added to the PotentialDuplicates attribute
    `con` - The feature to be added to the PotentialDuplicates attribute
    `euid` - The feature to be added to the PotentialDuplicates attribute
    `pdArray` - The feature to be added to the PotentialDuplicates attribute
  Throws:
    `PotentialDuplicateException` - An error has occurred.

### countPotentialDuplicates

    public int countPotentialDuplicates(java.sql.Connection con,
                                        PotentialDuplicateSearchObject obj)
                                 throws PotentialDuplicateException

  Count the potential duplicates records matching the search criteria. This does not handle EUID nor Source/LID search criteria.

  Parameters:
    `obj` - Search object.
    `con` - Connection handle.
  Returns:
    Count of the potential duplicates matching the search criteria.
  Throws:
    `PotentialDuplicateException` - An error has occured.

### deletePotentialDuplicates

    public void deletePotentialDuplicates(java.sql.Connection con,
                                          java.lang.String euid)
                                   throws PotentialDuplicateException

  Delete all duplicates for given euid except those marked as auto resolve.

  Parameters:
    `euid` - EUID parameter
    `con` - Connection handle
  Throws:
    `PotentialDuplicateException` - An error has occurred.

### lookupPotentialDuplicates

    public PotentialDuplicateIterator lookupPotentialDuplicates(java.sql.Connection con,
                                                                PotentialDuplicateSearchObject obj)
                                                         throws PotentialDuplicateException

  Search for potential duplicates

  Parameters:
    `obj` - Search object.
    `con` - Connection handle.
  Returns:
    Iterator of search results.
  Throws:
    `PotentialDuplicateException` - An error has occurred.

### resolvePotentialDuplicate

    public void resolvePotentialDuplicate(java.sql.Connection con,
                                          java.lang.String potDupId,
                                          boolean autoResolve)
                                   throws PotentialDuplicateException,
                                          UserException

  Set status of potential duplicate record to either (r)esolve or (a)utoresolve.

  Parameters:
    `potDupId` - Id of potential duplicate
    `autoResolve` - Set true if want to auto resolve
    `con` - Connection handle
  Throws:
    `PotentialDuplicateException` - An error has occurred.
    `UserException`

### unresolvePotentialDuplicate

    public void unresolvePotentialDuplicate(java.sql.Connection con,
                                            java.lang.String potDupId)
                                     throws PotentialDuplicateException,
                                            UserException

  Set status of potential duplicate record to either (u)resolved

  Parameters:
    `potDupId` - Id of potential duplicate.
    `con` - Connection handle.
  Throws:
    `PotentialDuplicateException` - An error has occurred.
    `UserException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.